Skip to main content
GET
Get sandbox by ID

Authorizations

x-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Sandbox ID

Response

200 - application/json

Sandbox details, including a runtime session token

id
string<uuid>
required
status
enum<string>
required

Current sandbox lifecycle status.

Available options:
active,
closed,
close-error,
error
region
enum<string>
required
Available options:
us,
us-central,
us-west,
us-east,
asia-south,
europe-west
runtime
object
required

Connection details for the sandbox runtime API (process execution, files, terminals).

exposedPorts
object[]
required
teamId
string
startTime
number | null

Start timestamp in epoch milliseconds.

endTime
number | null

End timestamp in epoch milliseconds.

createdAt
string<date-time>
updatedAt
string<date-time>
closeReason
string | null
creditsUsed
number | null
vcpus
integer | null
memMiB
integer | null
diskSizeMiB
integer | null
timeoutMinutes
integer | null
network
object

Effective outbound network policy for a sandbox.

sessionUrl
string

Dashboard URL for this sandbox.

duration
number

Total runtime in milliseconds (0 while running).

proxyBytesUsed
number
token
string | null

Sandbox runtime session token (24h TTL). Null when the sandbox is unavailable.

tokenExpiresAt
string<date-time> | null